# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/mitsubishi,aa104xd12.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Mitsubishi AA104XD12 10.4" XGA LVDS Display Panel

maintainers:
  - Laurent Pinchart <laurent.pinchart@ideasonboard.com>
  - Thierry Reding <thierry.reding@gmail.com>

allOf:
  - $ref: lvds.yaml#

properties:
  compatible:
    items:
      - const: mitsubishi,aa104xd12
      - {} # panel-lvds, but not listed here to avoid false select

  vcc-supply:
    description: Reference to the regulator powering the panel VCC pins.

  data-mapping:
    const: jeida-24

  width-mm:
    const: 210

  height-mm:
    const: 158

  panel-timing: true
  port: true

additionalProperties: false

required:
  - compatible
  - vcc-supply

examples:
  - |+

    panel {
      compatible = "mitsubishi,aa104xd12", "panel-lvds";
      vcc-supply = <&vcc_3v3>;

      width-mm = <210>;
      height-mm = <158>;

      data-mapping = "jeida-24";

      panel-timing {
        /* 1024x768 @65Hz */
        clock-frequency = <65000000>;
        hactive = <1024>;
        vactive = <768>;
        hsync-len = <136>;
        hfront-porch = <20>;
        hback-porch = <160>;
        vfront-porch = <3>;
        vback-porch = <29>;
        vsync-len = <6>;
      };

      port {
        panel_in: endpoint {
          remote-endpoint = <&lvds_encoder>;
        };
      };
    };

...
